ignite-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Maxim Muzafarov (Jira)" <j...@apache.org>
Subject [jira] [Updated] (IGNITE-7665) .NET: Target .NET Standard 2.0
Date Thu, 03 Oct 2019 10:03:05 GMT

     [ https://issues.apache.org/jira/browse/IGNITE-7665?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Maxim Muzafarov updated IGNITE-7665:
------------------------------------
    Fix Version/s:     (was: 2.8)
                   2.9

> .NET: Target .NET Standard 2.0
> ------------------------------
>
>                 Key: IGNITE-7665
>                 URL: https://issues.apache.org/jira/browse/IGNITE-7665
>             Project: Ignite
>          Issue Type: Improvement
>          Components: platforms
>            Reporter: Pavel Tupitsyn
>            Priority: Major
>              Labels: .NET, xplat
>             Fix For: 2.9
>
>
> As explained in IGNITE-2662 and https://apacheignite-net.readme.io/v2.4/docs/cross-platform-support,
our projects/assemblies still target .NET 4.0.
> This simplifies build/release procedures, but has issues:
> * Ignite.NET *can't be used from .NET Standard 2.0 libraries* (big one)
> * Warning is displayed
> * Incompatible API usages may sneak in despite tests
> We should target {{netstandard2.0}} as well as .NET 4. Release package should contain
two set of assemblies.



--
This message was sent by Atlassian Jira
(v8.3.4#803005)

Mime
View raw message